- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_static_route – Manage static IP routes on network appliances (routers, switches et. al.)

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_static_route” module

## Synopsis

- This module provides declarative management of static IP routes on network appliances (routers, switches et. al.).

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
admin_distance - |  | Admin distance of the static route.
aggregate - |  | List of static route definitions
mask - / required |  | Network prefix mask of the static route.
next_hop - / required |  | Next hop IP of the static route.
prefix - / required |  | Network prefix of the static route.
purge - | Default: "no" | Purge static routes not defined in the aggregate parameter.
state - | Choices: present ← absent | State of the static route configuration.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure static route
      net_static_route:
        prefix: 192.168.2.0
        mask: 255.255.255.0
        next_hop: 10.0.0.1

    - name: remove configuration
      net_static_route:
        prefix: 192.168.2.0
        mask: 255.255.255.0
        next_hop: 10.0.0.1
        state: absent

    - name: configure aggregates of static routes
      net_static_route:
        aggregate:
          - { prefix: 192.168.2.0, mask: 255.255.255.0, next_hop: 10.0.0.1 }
          - { prefix: 192.168.3.0, mask: 255.255.255.0, next_hop: 10.0.2.1 }

    - name: Remove static route collections
      net_static_route:
        aggregate:
          - { prefix: 172.24.1.0/24, next_hop: 192.168.42.64 }
          - { prefix: 172.24.3.0/24, next_hop: 192.168.42.64 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['ip route 192.168.2.0/24 10.0.0.1']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.